import 'package:json_annotation/json_annotation.dart';
import 'package:location/base/app_base_request.dart';

part 'contact_request.g.dart';

@JsonSerializable()
class ContactRequest extends AppBaseRequest {
  @JsonKey(name: 'phone')
  String phone;

  @JsonKey(name: 'favor')
  bool? favor;

  ContactRequest({required this.phone, this.favor});

  factory ContactRequest.fromJson(Map<String, dynamic> json) =>
      _$ContactRequestFromJson(json);

  @override
  Map<String, dynamic> toJson() => _$ContactRequestToJson(this);
}
